Which mobile operating systems can I use the Barclaycard app on?

The Barclaycard app is available on iPhones running iOS 9.3 or later or Android Kitkat 4.4 and above.

To find out which mobile operating system your smartphone is running, please follow the instructions below:

  • iPhone: Select settings > ‘General About Version (iPhone)’ or ‘Settings About Phone Software’ information
  • Android: Select ‘Settings About Phone Software’ information

This may differ slightly from phone to phone depending on the version you’re running.

For older devices that are not eligible to upgrade to iPhone iOS 9.3 or Android Kitkat 4.4, our app will not work.

Did this answer your question?

We are sorry you didn't find this helpful. Please let us know how we can improve this answer!